For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dropbox Sign WebSDKsSign Up
DocumentationAPIChangelog
DocumentationAPIChangelog
  • API Quickstart
  • API Reference
    • Welcome
    • Authentication
    • Account
    • Signature Request
    • Template
    • Bulk Send Job
    • Report
    • Team
    • Unclaimed Draft
    • Embedded
    • API App
      • GETGet API App
      • GETList API Apps
      • POSTCreate API App
      • PUTUpdate API App
      • DELDelete API App
    • Fax
    • Fax Line
  • Manual Reference Pages
    • Warnings and Errors
    • Constants
    • Search
    • Premium Branding
    • Expiration
    • Glossary
LogoLogo
Dropbox Sign WebSDKsSign Up
API ReferenceAPI App

List API Apps

||View as Markdown|
GET
https://api.hellosign.com/v3/api_app/list
GET
/v3/api_app/list
$curl -X GET 'https://api.hellosign.com/v3/api_app/list?page=1&page_size=20' \
> -u 'YOUR_API_KEY:'
1{
2 "api_apps": [
3 {
4 "callback_url": null,
5 "client_id": "0dd3b823a682527788c4e40cb7b6f7e9",
6 "created_at": 1436232339,
7 "domains": [
8 "example.com"
9 ],
10 "name": "My Production App",
11 "is_approved": true,
12 "oauth": {
13 "callback_url": "https://example.com/oauth",
14 "secret": "98891a1b59f312d04cd88e4e0c498d75",
15 "scopes": [
16 "basic_account_info",
17 "request_signature"
18 ]
19 },
20 "owner_account": {
21 "account_id": "dc5deeb9e10b044c591ef2475aafad1d1d3bd888",
22 "email_address": "john@example.com"
23 }
24 },
25 {
26 "callback_url": null,
27 "client_id": "bff6d867fafcca27554cf89b1ca98793",
28 "created_at": 1433458421,
29 "domains": [
30 "example.com"
31 ],
32 "name": "My Other App",
33 "is_approved": false,
34 "owner_account": {
35 "account_id": "dc5deeb9e10b044c591ef2475aafad1d1d3bd888",
36 "email_address": "john@example.com"
37 }
38 }
39 ],
40 "list_info": {
41 "num_pages": 1,
42 "num_results": 2,
43 "page": 1,
44 "page_size": 20
45 }
46}
Returns a list of API Apps that are accessible by you. If you are on a team with an Admin or Developer role, this list will include apps owned by teammates.
Was this page helpful?
Previous

Get API App

Next

Create API App

Built with

Authentication

AuthorizationBasic

Your API key can be used to make calls to the Dropbox Sign API. See Authentication for more information. ✅ Supported by Try it console (calls sent in test_mode only).

OR
AuthorizationBearer

You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See Authentication for more information. ❌ Not supported by Try it console.

Query parameters

pageintegerOptionalDefaults to 1

Which page number of the API App List to return. Defaults to 1.

page_sizeintegerOptionalDefaults to 20

Number of objects to be returned per page. Must be between 1 and 100. Default is 20.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
api_appslist of objects
Contains information about API Apps.
list_infoobject
Contains pagination information about the data returned.
warningslist of objects
A list of warnings.

Errors

4XX
Client Request Error